On this page
No Headings
Last updated: June 26, 2026
You can connect your sellers to PayPal after they accept the first payment from a buyer on your platform.
The first payment from the buyer will be pending until the seller goes through the full onboarding flow, which includes confirming their PayPal business account.
If a seller doesn't have a PayPal business account, they must create one during the onboarding flow. PayPal sends an email to the seller which includes a link to go through onboarding, create their account, and grant you permissions. If the seller doesn't create an account before 30 days, the transaction is canceled and the payment is returned to the buyer.
In the first transaction before a seller without a PayPal business account onboards, the following features are available:
In the first transaction before a seller with an existing PayPal business account onboards, the full capabilities of PayPal Checkout are available.
After a seller goes through the onboarding flow, the following features will be available:
Onboarding after payment doesn't support:
Webhooks are HTTP callbacks that receive notification messages for events. You can subscribe to webhooks from the developer portal or by making an API call.
Subscribe to the following webhooks for onboarding:
MERCHANT.ONBOARDING.COMPLETED: This webhook is triggered when the seller has fulfilled all required onboarding and has given you permissions.MERCHANT.PARTNER-CONSENT.REVOKED: This webhook is triggered when the seller has removed your permissions.To subscribe to webhooks from the developer portal:
You can also subscribe to webhooks by making an API call, see Webhooks for the sample requests and responses.
To make a payment from a buyer to a seller, follow the steps on Set up payments. To create an order, pass the email address of the seller you want to onboard in the email_address field of the payee object. Set intent to CAPTURE to capture funds immediately. For more information on your BN code (build notation code), see PayPal-Partner-Attribution-ID.
Copy the sample request and modify it as follows:
ACCESS-TOKEN with your access token.BN-CODE with your BN code.curl -v -X POST https://api-m.sandbox.paypal.com/v2/checkout/orders \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer ACCESS-TOKEN' \
-H 'PayPal-Partner-Attribution-Id: BN-CODE' \
-d '{
"intent": "CAPTURE",
"purchase_units": [{
"amount": {
"currency_code": "USD",
"value": "100.00"
},
"payee": {
"email_address": "[email protected]"
},
"payment_instruction": {
"disbursement_mode": "INSTANT",
"platform_fees": [{
"amount": {
"currency_code": "USD",
"value": "25.00"
}
}]
}
}]
}'Important: If Onboard After Payment isn't enabled in the REST app settings in the developer portal, and the email_address field of the payee object isn't associated with a PayPal account connected to your platform, an HTTP 422 error is returned. For more information, see HTTP status codes.
Sellers are notified by email that a payment is pending when they receive payment. The seller must sign up or log in to their PayPal account with the email that the notification was sent. The seller is then asked to grant you permission to act on their account on their behalf. If the seller wants to use a different email address, the seller will still need to sign up for an account with the email address where the notification was sent before creating a new account with a different email.
Note: Several countries have additional regulations related to receiving payment. Tell the seller to check their accounts after logging in for any pending tasks.
Seller onboarding is complete when the seller:
After the seller is notified of payment, the seller has 30 days to complete onboarding. If the seller doesn't complete onboarding within 30 days, the payment is returned to the buyer.
The MERCHANT.ONBOARDING.COMPLETED webhook sends a notification when a seller has fulfilled all onboarding requirements.
You will not be able to refund a payment on behalf of the seller until they have onboarded. Merchants cannot cancel pending transactions.
The following are options for cancelling pending payments:
Integrate PayPal checkout to accept payments.